/*
 * Read the time and return it as a string fomatted ready for the display
 * We return the number of seconds before the next min rollover
 */

//-----------------------------------INCLUDES----------------------------------
#include <stdio.h>
#include <time.h>
#include <sys/time.h>


// Input is a char point that must be big enough to hold the full display size
int getTime(char *str)
{
	struct tm *my_tm;
	time_t my_time;

	my_time = time(NULL);	

	my_tm = localtime(&my_time);

	sprintf(str," %02d.%02d ",my_tm->tm_hour,my_tm->tm_min);

	return(60 - my_tm->tm_sec);
}
